Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface EntityContext

All Superinterfaces:
  EJBContext

public interface EntityContext
extends EJBContext

The EntityContext interface provides an instance with access to the container-provided runtime context of an entity enterprise Bean instance. The container passes the EntityContext interface to an entity enterprise Bean instance after the instance has been created.

The EntityContext interface remains associated with the instance for the lifetime of the instance. Note that the information that the instance obtains using the EntityContext interface (such as the result of the getPrimaryKey() method) may change, as the container assigns the instance to different EJB objects during the instance's life cycle.

Method Summary
`EJBLocalObject` | `getEJBLocalObject()` Obtain a reference to the EJB local object that is currently associated with the instance.
`EJBObject` | `getEJBObject()` Obtain a reference to the EJB object that is currently associated with the instance.
`java.lang.Object` | `getPrimaryKey()` Obtain the primary key of the EJB object that is currently associated with this instance.

Methods inherited from interface javax.ejb.EJBContext
`getCallerIdentity, getCallerPrincipal, getEJBHome, getEJBLocalHome, getEnvironment, getRollbackOnly, getTimerService, getUserTransaction, isCallerInRole, isCallerInRole, setRollbackOnly`

Method Detail

### getEJBLocalObject

    public EJBLocalObject getEJBLocalObject()
                                     throws java.lang.IllegalStateException

  Obtain a reference to the EJB local object that is currently associated with the instance.

  An instance of an entity enterprise Bean can call this method only when the instance is associated with an EJB local object identity, i.e. in the ejbActivate, ejbPassivate, ejbPostCreate, ejbRemove, ejbLoad, ejbStore, and business methods.

  An instance can use this method, for example, when it wants to pass a reference to itself in a method argument or result.

  Returns:
    The EJB local object currently associated with the instance.
  Throws:
    `java.lang.IllegalStateException` - if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method, or if the instance does not have a local interface.

### getEJBObject

    public EJBObject getEJBObject()
                           throws java.lang.IllegalStateException

  Obtain a reference to the EJB object that is currently associated with the instance.

  An instance of an entity enterprise Bean can call this method only when the instance is associated with an EJB object identity, i.e. in the ejbActivate, ejbPassivate, ejbPostCreate, ejbRemove, ejbLoad, ejbStore, and business methods.

  An instance can use this method, for example, when it wants to pass a reference to itself in a method argument or result.

  Returns:
    The EJB object currently associated with the instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method, or if the instance does not have a remote interface.

### getPrimaryKey

    public java.lang.Object getPrimaryKey()
                                   throws java.lang.IllegalStateException

  Obtain the primary key of the EJB object that is currently associated with this instance.

  An instance of an entity enterprise Bean can call this method only when the instance is associated with an EJB object identity, i.e. in the ejbActivate, ejbPassivate, ejbPostCreate, ejbRemove, ejbLoad, ejbStore, and business methods.

  Note: The result of this method is that same as the result of getEJBObject().getPrimaryKey().

  Returns:
    The primary key currently associated with the instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.